Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.sasn1
Class BerGenerator

    java.lang.Object
      org.bouncycastle.sasn1.Asn1Generator
          org.bouncycastle.sasn1.BerGenerator

Direct Known Subclasses:
  BerOctetStringGenerator, BerSequenceGenerator

Deprecated. use corresponsding classes in org.bouncycastle.asn1.

    public class BerGenerator

extends Asn1Generator

Field Summary

Fields inherited from class org.bouncycastle.sasn1.Asn1Generator
`_out`

Constructor Summary
`protected` `BerGenerator(java.io.OutputStream out)` Deprecated.
`` `BerGenerator(java.io.OutputStream out, int tagNo, boolean isExplicit)` Deprecated.

Method Summary
`java.io.OutputStream` `getRawOutputStream()` Deprecated.
`protected void` `writeBerBody(java.io.InputStream contentStream)` Deprecated.
`protected void` `writeBerEnd()` Deprecated.
`protected void` `writeBerHeader(int tag)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BerGenerator

    protected BerGenerator(java.io.OutputStream out)

  Deprecated.

### BerGenerator

    public BerGenerator(java.io.OutputStream out,
                        int tagNo,
                        boolean isExplicit)

  Deprecated.

Method Detail

### getRawOutputStream

    public java.io.OutputStream getRawOutputStream()

  Deprecated.
  Specified by:
    `getRawOutputStream` in class `Asn1Generator`

### writeBerHeader

    protected void writeBerHeader(int tag)
                           throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### writeBerBody

    protected void writeBerBody(java.io.InputStream contentStream)
                         throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### writeBerEnd

    protected void writeBerEnd()
                        throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

Bouncy Castle Cryptography Library 1.45